twitter4j

## Class Logger

- java.lang.Object
- - twitter4j.Logger

    public abstract class Logger
    extends Object

Since:
  Twitter4J 2.1.0
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`Logger()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `debug(String message)`
`abstract void` `debug(String message, String message2)`
`abstract void` `error(String message)`
`abstract void` `error(String message, Throwable th)`
`static Logger` `getLogger(Class<?> clazz)` Returns a Logger instance associated with the specified class.
`abstract void` `info(String message)`
`abstract void` `info(String message, String message2)`
`abstract boolean` `isDebugEnabled()` tests if debug level logging is enabled
`abstract boolean` `isErrorEnabled()` tests if error level logging is enabled
`abstract boolean` `isInfoEnabled()` tests if info level logging is enabled
`abstract boolean` `isWarnEnabled()` tests if warn level logging is enabled
`abstract void` `warn(String message)`
`abstract void` `warn(String message, String message2)`
`abstract void` `warn(String message, Throwable th)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger()

### Method Detail

#### getLogger

    public static Logger getLogger(Class<?> clazz)

Returns a Logger instance associated with the specified class.

Parameters:
  `clazz` - class
Returns:
  logger instance

#### isDebugEnabled

    public abstract boolean isDebugEnabled()

tests if debug level logging is enabled

Returns:
  if debug level logging is enabled

#### isInfoEnabled

    public abstract boolean isInfoEnabled()

tests if info level logging is enabled

Returns:
  if info level logging is enabled

#### isWarnEnabled

    public abstract boolean isWarnEnabled()

tests if warn level logging is enabled

Returns:
  if warn level logging is enabled

#### isErrorEnabled

    public abstract boolean isErrorEnabled()

tests if error level logging is enabled

Returns:
  if error level logging is enabled

#### debug

    public abstract void debug(String message)

Parameters:
  `message` - message

#### debug

    public abstract void debug(String message,
                               String message2)

Parameters:
  `message` - message
  `message2` - message2

#### info

    public abstract void info(String message)

Parameters:
  `message` - message

#### info

    public abstract void info(String message,
                              String message2)

Parameters:
  `message` - message
  `message2` - message2

#### warn

    public abstract void warn(String message)

Parameters:
  `message` - message

#### warn

    public abstract void warn(String message,
                              String message2)

Parameters:
  `message` - message
  `message2` - message2

#### warn

    public abstract void warn(String message,
                              Throwable th)

Parameters:
  `message` - message
  `th` - throwable

#### error

    public abstract void error(String message)

Parameters:
  `message` - message

#### error

    public abstract void error(String message,
                               Throwable th)

Parameters:
  `message` - message
  `th` - throwable